2019-08-24 19:59 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0006077Spring engineGeneralpublic2018-11-14 18:40
ReporterGoogle_Frog 
Assigned ToKloot 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target VersionFixed in Version104.0 +git 
Summary0006077: 104.0.1-888-g15d6cc6 maintenance crash at exit with -107374181 / 0xC0000005L / STATUS_ACCESS_VIOLATION
DescriptionEvery time I close Spring the zk wrapper detects that Spring sent an exit code indicating a crash, hang, or some other problem. The issue appears to occur consistently over many ways of closing Spring.

In the linked crash report I launch spring with the test version of zkmenu, then click the Exit button (which does Spring.Quit()). See: https://github.com/ZeroK-RTS/CrashReports/issues/16691
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files
  • txt file icon mantis6077_64.txt (7,436 bytes) 2018-11-14 02:14 -
    DLL information:
    0x00400000	spring
    0x94470000	ntdll
    0x940b0000	KERNEL32
    0x91300000	KERNELBASE
    0x93750000	ADVAPI32
    0x92100000	msvcrt
    0x94310000	sechost
    0x91b60000	RPCRT4
    0x91c90000	imagehlp
    0x91000000	ucrtbase
    0x92310000	SHELL32
    0x89190000	GLU32
    0x917f0000	cfgmgr32
    0x93ad0000	USER32
    0x91840000	win32u
    0x7f270000	OPENGL32
    0x93800000	shcore
    0x92040000	GDI32
    0x91cb0000	combase
    0x91100000	gdi32full
    0x91860000	msvcp_win
    0x91770000	bcryptPrimitives
    0x90840000	windows.storage
    0x91fe0000	shlwapi
    0x907f0000	kernel.appcore
    0x90810000	profapi
    0x90780000	powrprof
    0x90830000	FLTLIB
    0x93a30000	WS2_32
    0x6b600000	OpenAL32
    0x62e80000	zlib1
    0x6b3c0000	libvorbisfile-3
    0x91900000	ole32
    0x80000000	DevIL
    0x6b8c0000	libfreetype-6
    0x64f80000	libfontconfig-1
    0x6ed80000	glew32
    0x6c740000	SDL2
    0x93aa0000	IMM32
    0x6d540000	libvorbis-0
    0x70680000	libogg-0
    0x921a0000	OLEAUT32
    0x8e8f0000	WINMM
    0x68f40000	libexpat-1
    0x8af50000	VERSION
    0x8e7e0000	winmmbase
    0x6eec0000	MSVCR80
    0x6ebe0000	MSVCP80
    0x6f420000	gameoverlayrenderer64
    0x943d0000	PSAPI
    0x8ed90000	uxtheme
    0x938b0000	MSCTF
    0x483e0000	nvoglv64
    0x93c60000	SETUPAPI
    0x8d470000	WTSAPI32
    0x90590000	DEVOBJ
    0x912a0000	WINTRUST
    0x907d0000	MSASN1
    0x4aad0000	CRYPT32
    0x8f870000	ntmarta
    0x8ef10000	dwmapi
    0x8f910000	WINSTA
    0x92270000	clbcatq
    0x8d3b0000	shfolder
    0x898a0000	MMDevApi
    0x8d060000	PROPSYS
    0x70ac0000	AUDIOSES
    0x8baa0000	wintypes
    0x8c290000	AVRT
    0x840c0000	Windows.UI
    0x84500000	TextInputFramework
    0x826a0000	InputHost
    0x8bc90000	CoreUIComponents
    0x8e810000	CoreMessaging
    0x785c0000	dsound
    0x83680000	dbghelp
    Stacktrace (main) for Spring 104.0.1-891-ga7863ee mantis6077:
    	[ProgCtr=00007ff99450a994 StackPtr=000000004288edf8 FramePtr=000000004288edf8]
    	(0) C:\WINDOWS\SYSTEM32\ntdll.dll [0x0009A994]
    	(1) C:\WINDOWS\System32\KERNELBASE.dll [0x00034BE8]
    	(2) C:\WINDOWS\System32\KERNELBASE.dll [0x00034839]
    	(3) C:\WINDOWS\System32\msvcrt.dll [0x0001D6B3]
    	(4) C:\WINDOWS\System32\msvcrt.dll [0x0001D392]
    	(5) C:\WINDOWS\System32\msvcrt.dll [0x0001D41D]
    	(6) C:\WINDOWS\System32\msvcrt.dll [0x000559E5]
    	(7) C:\WINDOWS\System32\msvcrt.dll [0x0004765D]
    	(8) C:\Users\Tim\Documents\my games\Spring Dev\chobby1\engine\win32\104.0.1-483-g30d8543\spring.exe [0x00C49B3B]
    	(9) C:\Users\Tim\Documents\my games\Spring Dev\chobby1\engine\win32\104.0.1-483-g30d8543\spring.exe [0x00C51099]
    	(10) C:\Users\Tim\Documents\my games\Spring Dev\chobby1\engine\win32\104.0.1-483-g30d8543\spring.exe [0x008ACAB6]
    	(11) C:\Users\Tim\Documents\my games\Spring Dev\chobby1\engine\win32\104.0.1-483-g30d8543\spring.exe [0x0080FC3D]
    	(12) C:\Users\Tim\Documents\my games\Spring Dev\chobby1\engine\win32\104.0.1-483-g30d8543\spring.exe [0x00810DDE]
    	(13) C:\Users\Tim\Documents\my games\Spring Dev\chobby1\engine\win32\104.0.1-483-g30d8543\spring.exe [0x00766784]
    	(14) C:\Users\Tim\Documents\my games\Spring Dev\chobby1\engine\win32\104.0.1-483-g30d8543\spring.exe [0x007669FF]
    	(15) C:\Users\Tim\Documents\my games\Spring Dev\chobby1\engine\win32\104.0.1-483-g30d8543\spring.exe [0x007BF595]
    	(16) C:\Users\Tim\Documents\my games\Spring Dev\chobby1\engine\win32\104.0.1-483-g30d8543\spring.exe [0x007C0114]
    	(17) C:\Users\Tim\Documents\my games\Spring Dev\chobby1\engine\win32\104.0.1-483-g30d8543\spring.exe [0x007C02B7]
    	(18) C:\Users\Tim\Documents\my games\Spring Dev\chobby1\engine\win32\104.0.1-483-g30d8543\spring.exe [0x007ABE0B]
    	(19) C:\Users\Tim\Documents\my games\Spring Dev\chobby1\engine\win32\104.0.1-483-g30d8543\spring.exe [0x00D82B4E]
    	(20) C:\Users\Tim\Documents\my games\Spring Dev\chobby1\engine\win32\104.0.1-483-g30d8543\spring.exe [0x004013ED]
    	(21) C:\Users\Tim\Documents\my games\Spring Dev\chobby1\engine\win32\104.0.1-483-g30d8543\spring.exe [0x004014FB]
    	(22) C:\WINDOWS\System32\KERNEL32.DLL [0x00013034]
    	(23) C:\WINDOWS\SYSTEM32\ntdll.dll [0x00071461]
    Stacktrace (audio) for Spring 104.0.1-891-ga7863ee mantis6077:
    	[ProgCtr=00007ff994509f74 StackPtr=000000006916fc68 FramePtr=000000006916fc68]
    	(0) C:\WINDOWS\SYSTEM32\ntdll.dll [0x00099F74]
    	(1) C:\WINDOWS\System32\KERNELBASE.dll [0x00039252]
    	(2) C:\Users\Tim\Documents\my games\Spring Dev\chobby1\engine\win32\104.0.1-483-g30d8543\spring.exe [0x00B4E0AA]
    	(3) C:\Users\Tim\Documents\my games\Spring Dev\chobby1\engine\win32\104.0.1-483-g30d8543\spring.exe [0x00B4F1EC]
    	(4) C:\Users\Tim\Documents\my games\Spring Dev\chobby1\engine\win32\104.0.1-483-g30d8543\spring.exe [0x0086EE8F]
    	(5) C:\Users\Tim\Documents\my games\Spring Dev\chobby1\engine\win32\104.0.1-483-g30d8543\spring.exe [0x00D681A0]
    	(6) C:\Users\Tim\Documents\my games\Spring Dev\chobby1\engine\win32\104.0.1-483-g30d8543\spring.exe [0x00B4D4E4]
    	(7) C:\WINDOWS\System32\msvcrt.dll [0x0003AA96]
    	(8) C:\WINDOWS\System32\msvcrt.dll [0x0003AB6C]
    	(9) C:\WINDOWS\System32\KERNEL32.DLL [0x00013034]
    	(10) C:\WINDOWS\SYSTEM32\ntdll.dll [0x00071461]
    Spring 104.0.1-891-ga7863ee mantis6077 has crashed.
    DLL information:
    0x00400000	spring
    0x94470000	ntdll
    0x940b0000	KERNEL32
    0x91300000	KERNELBASE
    0x93750000	ADVAPI32
    0x92100000	msvcrt
    0x94310000	sechost
    0x91b60000	RPCRT4
    0x91c90000	imagehlp
    0x91000000	ucrtbase
    0x92310000	SHELL32
    0x89190000	GLU32
    0x917f0000	cfgmgr32
    0x93ad0000	USER32
    0x91840000	win32u
    0x7f270000	OPENGL32
    0x93800000	shcore
    0x92040000	GDI32
    0x91cb0000	combase
    0x91100000	gdi32full
    0x91860000	msvcp_win
    0x91770000	bcryptPrimitives
    0x90840000	windows.storage
    0x91fe0000	shlwapi
    0x907f0000	kernel.appcore
    0x90810000	profapi
    0x90780000	powrprof
    0x90830000	FLTLIB
    0x93a30000	WS2_32
    0x6b600000	OpenAL32
    0x62e80000	zlib1
    0x6b3c0000	libvorbisfile-3
    0x91900000	ole32
    0x80000000	DevIL
    0x6b8c0000	libfreetype-6
    0x64f80000	libfontconfig-1
    0x6ed80000	glew32
    0x6c740000	SDL2
    0x93aa0000	IMM32
    0x6d540000	libvorbis-0
    0x70680000	libogg-0
    0x921a0000	OLEAUT32
    0x8e8f0000	WINMM
    0x68f40000	libexpat-1
    0x8af50000	VERSION
    0x8e7e0000	winmmbase
    0x6eec0000	MSVCR80
    0x6ebe0000	MSVCP80
    0x6f420000	gameoverlayrenderer64
    0x943d0000	PSAPI
    0x8ed90000	uxtheme
    0x938b0000	MSCTF
    0x483e0000	nvoglv64
    0x93c60000	SETUPAPI
    0x8d470000	WTSAPI32
    0x90590000	DEVOBJ
    0x912a0000	WINTRUST
    0x907d0000	MSASN1
    0x4aad0000	CRYPT32
    0x8f870000	ntmarta
    0x8ef10000	dwmapi
    0x8f910000	WINSTA
    0x92270000	clbcatq
    0x8d3b0000	shfolder
    0x898a0000	MMDevApi
    0x8d060000	PROPSYS
    0x70ac0000	AUDIOSES
    0x8baa0000	wintypes
    0x8c290000	AVRT
    0x84500000	TextInputFramework
    0x8bc90000	CoreUIComponents
    0x8e810000	CoreMessaging
    0x785c0000	dsound
    0x83680000	dbghelp
    0x90000000	mswsock
    Exception: Access violation (0xc0000005)
    Exception Address: 0x00007ff99448d979
    Stacktrace for Spring 104.0.1-891-ga7863ee mantis6077:
    	[ProgCtr=00007ff99448d979 StackPtr=000000004288fc80 FramePtr=000000004288fc80]
    	(0) C:\WINDOWS\SYSTEM32\ntdll.dll [0x0001D979]
    	(1) C:\WINDOWS\SYSTEM32\ntdll.dll [0x000183E7]
    	(2) C:\WINDOWS\SYSTEM32\ntdll.dll [0x00018300]
    	(3) C:\Users\Tim\Documents\my games\Spring Dev\chobby1\engine\win32\104.0.1-483-g30d8543\spring.exe [0x00731C91]
    	(4) C:\WINDOWS\System32\msvcrt.dll [0x0003A2BB]
    	(5) C:\Users\Tim\Documents\my games\Spring Dev\chobby1\engine\win32\104.0.1-483-g30d8543\spring.exe [0x004014DD]
    	(6) C:\Users\Tim\Documents\my games\Spring Dev\chobby1\engine\win32\104.0.1-483-g30d8543\spring.exe [0x004014FB]
    	(7) C:\WINDOWS\System32\KERNEL32.DLL [0x00013034]
    	(8) C:\WINDOWS\SYSTEM32\ntdll.dll [0x00071461]
    
    txt file icon mantis6077_64.txt (7,436 bytes) 2018-11-14 02:14 +
  • txt file icon mantis6077_32.txt (2,539 bytes) 2018-11-14 02:16 -
    Spring 104.0.1-891-ga7863ee mantis6077 has crashed.
    DLL information:
    0x00400000	spring
    0x772e0000	ntdll
    0x741a0000	KERNEL32
    0x74b70000	KERNELBASE
    0x76ae0000	ADVAPI32
    0x76cb0000	msvcrt
    0x10000000	DevIL
    0x770a0000	sechost
    0x74840000	RPCRT4
    0x73ba0000	SspiCli
    0x73b90000	CRYPTBASE
    0x74a20000	bcryptPrimitives
    0x74810000	IMAGEHLP
    0x74900000	ucrtbase
    0x75530000	SHELL32
    0x6c2e0000	GLU32
    0x76b90000	cfgmgr32
    0x74480000	USER32
    0x770f0000	win32u
    0x6bee0000	OPENGL32
    0x743f0000	shcore
    0x74610000	GDI32
    0x76880000	combase
    0x76f30000	gdi32full
    0x73bc0000	windows.storage
    0x74a80000	msvcp_win
    0x76dc0000	shlwapi
    0x76eb0000	kernel.appcore
    0x74180000	profapi
    0x76d70000	powrprof
    0x74800000	FLTLIB
    0x74640000	WS2_32
    0x6b800000	OpenAL32
    0x6b5c0000	libvorbisfile-3
    0x751a0000	ole32
    0x70e40000	libfreetype-6
    0x65180000	libfontconfig-1
    0x6ef80000	glew32
    0x6c740000	SDL2
    0x6d740000	libvorbis-0
    0x70880000	libogg-0
    0x76b60000	IMM32
    0x76e10000	OLEAUT32
    0x73040000	WINMM
    0x62e80000	zlib1
    0x68f40000	libexpat-1
    0x72e70000	WINMMBASE
    0x73b80000	VERSION
    0x52400000	MSVCP80
    0x52360000	MSVCR80
    0x5ac10000	gameoverlayrenderer
    0x74830000	PSAPI
    0x51f80000	nvapi
    0x74d70000	SETUPAPI
    0x07af0000	dxgi
    0x72470000	uxtheme
    0x746b0000	MSCTF
    0x50340000	nvoglv32
    0x73a70000	WTSAPI32
    0x72690000	DEVOBJ
    0x76c60000	WINTRUST
    0x001f0000	MSASN1
    0x75300000	CRYPT32
    0x720b0000	ntmarta
    0x723e0000	dwmapi
    0x6ffa0000	WINSTA
    0x754a0000	clbcatq
    0x73a80000	shfolder
    0x711c0000	MMDevApi
    0x72ec0000	PROPSYS
    0x71220000	AUDIOSES
    0x71320000	wintypes
    0x72510000	AVRT
    0x64f20000	CoreUIComponents
    0x12b10000	TextInputFramework
    0x12b90000	CoreMessaging
    0x61530000	dsound
    0x72410000	mswsock
    0x6b3f0000	dbghelp
    Exception: Access violation (0xc0000005)
    Exception Address: 0x77302e19
    Stacktrace for Spring 104.0.1-891-ga7863ee mantis6077:
    	[ProgCtr=77302e19 StackPtr=0224fd58 FramePtr=0224fd80]
    	(0) C:\WINDOWS\SYSTEM32\ntdll.dll [0x00022E19]
    	(1) C:\WINDOWS\SYSTEM32\ntdll.dll [0x0003E016]
    	(2) C:\WINDOWS\SYSTEM32\ntdll.dll [0x0003DF39]
    	(3) C:\Users\Tim\Documents\my games\Spring Dev\chobby1\engine\win32\104.0.1-483-g30d8543\spring.exe [0x008CDCAC]
    	(4) C:\WINDOWS\System32\msvcrt.dll [0x00066399]
    	(5) C:\WINDOWS\System32\msvcrt.dll [0x00066431]
    	(6) C:\Users\Tim\Documents\my games\Spring Dev\chobby1\engine\win32\104.0.1-483-g30d8543\spring.exe [0x004014B3]
    	(7) C:\WINDOWS\System32\KERNEL32.DLL [0x00018484]
    	(8) C:\WINDOWS\SYSTEM32\ntdll.dll [0x0006305A]
    	(9) C:\WINDOWS\SYSTEM32\ntdll.dll [0x0006302A]
    
    txt file icon mantis6077_32.txt (2,539 bytes) 2018-11-14 02:16 +

-Relationships
+Relationships

-Notes

~0019522

Google_Frog (reporter)

I also had players reporting that windows told them "Spring has crashed" every time they closed Spring. I don't know how this relates to crash reports because MP testing does not use the wrapper in the same way.

~0019523

abma (administrator)

Zero-K.exe Warning: 0 : Spring exit code is: -1073741819, assuming crash

-> -107374181 -> 0xC0000005L -> STATUS_ACCESS_VIOLATION

~0019524

Google_Frog (reporter)

The ticket name is now misleading, as I do not know whether Spring always returns this particular exit code.

~0019525

Google_Frog (reporter)

The name change is fine, just be aware of the claim that I am not making.

~0019526

abma (administrator)

the crash should be fixed at least: when its fixed the other error codes can be checked / tested / ... whatever.

~0019527

Anonymous (viewer)

Fix 4ed0b9e11a99cdacc0378c9c8be95d3e91be4fd5 committed to develop branch: fix 0006077, repo: spring changeset id: 11128

~0019528

Anonymous (viewer)

Fix 0871f35da2ffdaaf528105c5b3ad320f74d237f9 committed to maintenance branch: fix 0006077, repo: spring changeset id: 11129

~0019529

Kloot (developer)

the set of candidates for a traceless post-main crash after loading just a LuaMenu and exiting is pretty small, fixed w.h.p.

~0019532

Google_Frog (reporter)

The error with this exit code is not resolved. https://github.com/ZeroK-RTS/CrashReports/issues/16722

~0019533

Kloot (developer)

get me a stacktrace.

~0019534

Google_Frog (reporter)

I start zkmenu, click Exit. The infolog that you see above is all I have. How do I make Spring give me a stacktrace?

~0019535

Google_Frog (reporter)

I bisected to the limit of my stored engines:

Bug:
104.0.1-781-g80f9374 https://github.com/ZeroK-RTS/CrashReports/issues/16730
104.0.1-567-gc484c10 https://github.com/ZeroK-RTS/CrashReports/issues/16731
104.0.1-527-gf2536df https://github.com/ZeroK-RTS/CrashReports/issues/16732

Works:
104.0.1-409-g07c2800

Broken in some other way:
104.0.1-616-g52f5f2b

~0019536

Kloot (developer)

At the moment the only way is to run Spring inside a debugger. On Windows this requires installing the MinGW version of gdb and downloading / extracting the debug symbols for 889-g0871f35 from https://springrts.com/dl/buildbot/default/maintenance/104.0.1-889-g0871f35/win32/%7bmaintenance%7d104.0.1-889-g0871f35_win32_spring_dbg.7z alongside the executable.

I can also hack the engine in a special branch but that will take longer.

~0019537

Google_Frog (reporter)

I dug up another. 104.0.1-483-g30d8543 has the bug: https://github.com/ZeroK-RTS/CrashReports/issues/16734

~0019541

Kloot (developer)

Last edited: 2018-11-13 20:51

View 2 revisions

https://springrts.com/dl/buildbot/default/mantis6077/104.0.1-891-ga7863eeeba/win64/

run this, then attach the generated mantis6077.txt which should contain a trace.

~0019542

Google_Frog (reporter)

I don't usually run the 64 bit builds, so I will also run the 32 bit one. Here is the 64 bit crash: https://github.com/ZeroK-RTS/CrashReports/issues/16763

~0019543

Google_Frog (reporter)

Here is 32 bit. https://github.com/ZeroK-RTS/CrashReports/issues/16764

Ignore the title of the crash reports, I'm replacing an engine locally instead of uploading it to zk infrastructure and downloading it with the wrapper.

~0019544

Kloot (developer)

Last edited: 2018-11-14 12:33

View 3 revisions

thanks, https://springrts.com/dl/buildbot/default/mantis6077/104.0.1-892-g94e95c4/win32/ should exit cleanly again. merge into maintenance is pending confirmation.

~0019545

Google_Frog (reporter)

I just tested and the issue seems to be resolved.

~0019546

Kloot (developer)

Fix f17149dfdfd0c85f8ae86450edfea50e52df023f committed to develop branch: fix 0006077 redux, repo: spring changeset id: 11134

~0019547

Kloot (developer)

Fix fbcf84a3fefca290e59cbde451fb040f3aa1f149 committed to maintenance branch: fix 0006077 redux, repo: spring changeset id: 11135
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2018-11-12 05:49 Google_Frog New Issue
2018-11-12 08:24 Google_Frog Note Added: 0019522
2018-11-12 10:57 abma Note Added: 0019523
2018-11-12 10:58 abma Summary 104.0.1-888-g15d6cc6 maintenance Every closure of Spring results in a crash exit code => 104.0.1-888-g15d6cc6 maintenance crash at exit with -107374181 / 0xC0000005L / STATUS_ACCESS_VIOLATION
2018-11-12 10:59 abma Severity minor => crash
2018-11-12 13:10 Google_Frog Note Added: 0019524
2018-11-12 13:11 Google_Frog Note Added: 0019525
2018-11-12 13:12 abma Note Added: 0019526
2018-11-12 13:24 Changeset attached => spring develop 4ed0b9e1
2018-11-12 13:24 Anonymous Note Added: 0019527
2018-11-12 13:24 Changeset attached => spring maintenance 0871f35d
2018-11-12 13:24 Anonymous Note Added: 0019528
2018-11-12 13:35 Kloot Assigned To => Kloot
2018-11-12 13:35 Kloot Status new => resolved
2018-11-12 13:35 Kloot Resolution open => fixed
2018-11-12 13:35 Kloot Fixed in Version => 104.0 +git
2018-11-12 13:35 Kloot Note Added: 0019529
2018-11-13 03:15 Google_Frog Status resolved => feedback
2018-11-13 03:15 Google_Frog Resolution fixed => reopened
2018-11-13 03:15 Google_Frog Note Added: 0019532
2018-11-13 11:09 Kloot Note Added: 0019533
2018-11-13 12:46 Google_Frog Note Added: 0019534
2018-11-13 12:46 Google_Frog Status feedback => assigned
2018-11-13 13:09 Google_Frog Note Added: 0019535
2018-11-13 13:20 Kloot Note Added: 0019536
2018-11-13 13:24 Google_Frog Note Added: 0019537
2018-11-13 20:27 Kloot Note Added: 0019541
2018-11-13 20:51 Kloot Note Edited: 0019541 View Revisions
2018-11-14 02:14 Google_Frog File Added: mantis6077_64.txt
2018-11-14 02:14 Google_Frog Note Added: 0019542
2018-11-14 02:16 Google_Frog File Added: mantis6077_32.txt
2018-11-14 02:16 Google_Frog Note Added: 0019543
2018-11-14 12:29 Kloot Note Added: 0019544
2018-11-14 12:33 Kloot Note Edited: 0019544 View Revisions
2018-11-14 12:33 Kloot Note Edited: 0019544 View Revisions
2018-11-14 12:34 Kloot Status assigned => feedback
2018-11-14 13:00 Google_Frog Note Added: 0019545
2018-11-14 13:00 Google_Frog Status feedback => assigned
2018-11-14 18:39 Kloot Changeset attached => spring develop f17149df
2018-11-14 18:39 Kloot Note Added: 0019546
2018-11-14 18:39 Kloot Status assigned => resolved
2018-11-14 18:39 Kloot Resolution reopened => fixed
2018-11-14 18:40 Kloot Changeset attached => spring maintenance fbcf84a3
2018-11-14 18:40 Kloot Note Added: 0019547
+Issue History